summaryrefslogtreecommitdiff
path: root/t/dejagnu.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/dejagnu.sh')
-rwxr-xr-xt/dejagnu.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/t/dejagnu.sh b/t/dejagnu.sh
new file mode 100755
index 000000000..14b118c8a
--- /dev/null
+++ b/t/dejagnu.sh
@@ -0,0 +1,35 @@
+#! /bin/sh
+# Copyright (C) 1996-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Superficial test to check that dejagnu tests and automake-style
+# tests can coexist. See also related deeper test 'check12.test'.
+
+. ./defs || Exit 1
+
+cat > Makefile.am << 'END'
+AUTOMAKE_OPTIONS = dejagnu
+TESTS = frob.test
+END
+
+test x"$am_parallel_tests" != x"yes" || : > test-driver
+
+$ACLOCAL
+$AUTOMAKE
+
+grep '^check-TESTS' Makefile.in
+grep '^check-DEJAGNU' Makefile.in
+
+: